/*! ********************************************
 * MidiEvent.java
 * Copyright 2019 masahiro takamoto (MotChan)
 * Distributed under the MIT license. 
 * see -> sora/license.txt
 ******************************************** */
package sora.graybox;

public class MidiEvent extends MidiMessage
{
    public int midiPorts = 0xFFFF;
    public int offsetFrames = 0;  // Start Frame Offset (Current Process)
    // list
    public MidiEvent next = null;

    @Override
    public void clear()
    {
		midiPorts = 0xFFFF;
        next = null;
        offsetFrames = 0;
        type = 0x80;
        channel = 0;
        value0 = 0;
        value1 = 0;
        data = null;
        dataSize = 0;
    }
    public MidiEvent(){ super(); }
}